FLANG

Classes | Public Types | Public Member Functions | Public Attributes | List of all members
Fortran::evaluate::Assignment Class Reference

## Classes
struct | Intrinsic

## Public Types
using | BoundsSpec = std::vector< Expr< SubscriptInteger > >
using | BoundsRemapping = std::vector< std::pair< Expr< SubscriptInteger >, Expr< SubscriptInteger > >>

## Public Member Functions
| Assignment (Expr< SomeType > &&lhs, Expr< SomeType > &&rhs)
llvm::raw_ostream & | AsFortran (llvm::raw_ostream &) const

## Public Attributes
Expr< SomeType > | lhs
Expr< SomeType > | rhs
std::variant< Intrinsic, ProcedureRef, BoundsSpec, BoundsRemapping > | u

The documentation for this class was generated from the following files:

- include/flang/Evaluate/expression.h
- lib/Evaluate/formatting.cpp